import { useRequest } from 'ahooks';
import AccidentItem from './AccidentItem';
import styles from './index.less';
import services from '@/services';
const SafetyAccident = () => {
  const { data } = useRequest(services.Information.getArticleList, {
    defaultParams: [
      {
        pushCategoryName: '大屏安全事故通报',
        'category.scopeList': '1',
        attributeList: '3',
        current: '1',
        size: 2,
      },
    ],
  });
  


  return (
    <div className={styles.container}>
      <div className={styles.tag}>安全事故通报</div>

      <div className={styles.content}>
        {data?.data?.records?.map((item:any) => {
          return <AccidentItem data={item} />;
        })}
      </div>
    </div>
  );
};
export default SafetyAccident;
