import { Typography } from 'antd';
import dayjs from 'dayjs';
import styles from './index.less';
const { Paragraph } = Typography;
const SafetyTipItem = ({ data }: { data: any }) => {
  return (
    <div className={styles.container}>
      <div className={styles.leftWarp}>
        <div className={styles.dot}></div>
        <div className={styles.title}>
          <Paragraph
            ellipsis={{
              rows: 2,
              expandable: false,
              suffix: ' ' + dayjs(data?.publishTime).format('YYYY-MM-DD'),
            }}
            title={data?.title}
            style={{ color: 'rgb(202, 223, 252)', fontWeight: 500 }}
          >
            {data?.title}
          </Paragraph>
        </div>
      </div>
      <img src={data?.coverList?.[0]} alt="" className={styles.icon} />
    </div>
  );
};
export default SafetyTipItem;
